<?php
include_once '../../sys/inc/start.php';     
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';          
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';           
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';                  
$set['title']='Покупка зверька';
include_once '../../sys/inc/thead.php';         
$e=0;                   
title();
aut();
if (!isset($user)){header("Location:/aut.php"); break;}

#######################
function wtime($timediff){
$oneMinute=60; $oneHour=60*60; $oneDay=60*60*24;
$dayfield=floor($timediff/$oneDay);
$hourfield=floor(($timediff-$dayfield*$oneDay)/$oneHour);
$minutefield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour)/$oneMinute);
$secondfield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour-$minutefield*$oneMinute));
$time_1="$dayfield дней. $hourfield ч. $minutefield м. $secondfield сек.";
return $time_1;
}



if(isset($_GET['del'])){mysql_query("DELETE FROM `zooshop_pok` WHERE `id_user` = '$user[id]'");}
$arrs=mysql_fetch_array(mysql_query("SELECT * FROM `zooshop_pok` WHERE `id_user` = '$user[id]'"));

if($arrs['time']>=$time){
echo "<div class='err'><img src='/plugins/zooshop/imgs/$arrs[id_zoo].png'><br /><a href='?del'>Удалить</a><br />Вашему зверьку осталось жить ещё ".wtime($arrs["time"]-time())."</div>";
}else{
if(isset($_GET['ok'])){
$id=intval($_GET['id']);
$znak=mysql_fetch_assoc(mysql_query("SELECT * FROM `zooshop` WHERE `id` = '$id' LIMIT 1"));
?>
<form class='nav1' method='post' action='?ok&amp;oks&amp;id=<?=$id?>'><center>
<img src='/plugins/zooshop/imgs/<?=$znak['id']?>.png' alt='*'><br />
<strong><small>Зверек будет жить на Вашей страничке ровно 7 дней, после чего исчезает, но Вы можете повторно его покупать на монеты сайта.<br/>Украсьте свою страничку любимым питомцем :)</small></strong><br/>
<input type='submit' name='crok' value='Купить'>
<br />* 7 дней = 10 монет<br /></center></form>
<?



if(isset($_GET['oks'])){
if ($user['money']>10){
$crok=intval($_POST['crok']==7);
$time2=$time+604800;
mysql_query("DELETE FROM `zooshop_pok` WHERE `id_user` = '$user[id]'");
mysql_query("UPDATE `user` SET `balls` = '".($user['money']-10)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("INSERT INTO `zooshop_pok` (`id_user`, `id_zoo`, `time`) values('$user[id]', '$id', '$time2')");
header('Location: ?');
}else{
$err="<img src='/style/icons/error.png' alt='*'> <font color='red'>У вас нету монет на столько дней!</font>"; 

err();
}}}}

#####################

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `zooshop`"),0);
$k_page=k_page($k_post,$set['p_str']); 
$page=page($k_page); 
$start=$set['p_str']*$page-$set['p_str'];

if ($k_post==0)echo "Животных в категории нет<br />";

$q=mysql_query("select * from `zooshop` ORDER by `id` DESC LIMIT $start, $set[p_str];");  
$enks=$start;
while ($post=mysql_fetch_array($q)){ 
$enks++;
echo ($e++%2)?"<div class='nav1'>":"<div class='nav2'>";
echo "<img src='/plugins/zooshop/imgs/$post[url]'><br />
<a href='?ok&amp;id=$post[id]&amp;page=$page'>Купить</a> [№$enks]</div>";
}

if ($k_page>1)str("?",$k_page,$page);

include_once '../../sys/inc/tfoot.php'; 

?>